<!DOCTYPE html>
<html lang="en" dir="ltr" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="UTF-8">
    <title>World Of Beer</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Collection of beers from all around the world.">

    <link rel="stylesheet" th:href="@{https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css}"
          href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
          integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link rel="stylesheet" th:href="@{../static/js/bootstrap.min.js}" href="/static/js/bootstrap.min.js"/>
    <link rel="stylesheet" th:href="@{/css/navigation.css}" href="../static/css/navigation.css">

</head>
<body>

<div th:fragment="header"  class="nav-header">
    <nav class="navbar navbar-expand-lg navbar-light fixed-top py-3" id="mainNav">
        <div class="container nav-bar-container" id="nav-container">
            <a class="navbar-brand js-scroll-trigger nav-bar-logo" href="#page-top" th:href="@{/#page-top}">
                <img id="logo" th:src="@{/assets/img/LogoSC.png}"
                     src="../static/assets/img/LogoSC.png"
                     width="125" height="45" alt="logo">
            </a>
            <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse"
                    data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false"
                    aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navbarResponsive">
                <ul class="navbar-nav ml-auto my-2 my-lg-0">
                    <li class="nav-item"><a class="nav-link js-scroll-trigger" href="#simulate-offer"
                                            th:href="@{/#simulate-offer}">Simulate offer</a>
                    </li>
                    <li class="nav-item"><a class="nav-link js-scroll-trigger"
                                            href="#services" th:href="@{/#services}">Services</a></li>
                    <li class="nav-item"><a class="nav-link js-scroll-trigger" href="#contact" th:href="@{/#contact}">Contact</a>
                    </li>

                    <li sec:authorize="isAuthenticated()" class="nav-item">
                        <a class="nav-link js-scroll-trigger" th:href="@{/policy/my-policies}">My policies</a></li>
                    <li sec:authorize="isAnonymous()" class="nav-item">
                        <a class="nav-link js-scroll-trigger" th:href="@{/login}">Login</a>
                    </li>
                    <li sec:authorize="isAuthenticated()" class="nav-item mr-3 mr-lg-0 dropdown">
                        <a class="nav-link dropdown-toggle"
                           href="#"
                           id="navbarDropdown"
                           role="button"
                           data-toggle="dropdown"
                           aria-expanded="false"
                        >
                            <i class="fas fa-user"></i>
                            <i th:text="${#authentication.name}"></i>
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <li sec:authorize="hasRole('ROLE_USER')" class="nav-item">
                                <a class="js-scroll-trigger dropdown-item" th:href="@{/user}">My profile</a></li>
                            <li sec:authorize="hasRole('ROLE_AGENT')" class="nav-item">
                                <a class="js-scroll-trigger dropdown-item" th:href="@{/agent/requests}">Manage
                                    requests</a></li>
                            <li sec:authorize="hasRole('ROLE_ADMIN')" class="nav-item">
                                <a class="js-scroll-trigger dropdown-item" th:href="@{/admin/users}">Manage users</a></li>
                            <li sec:authorize="isAuthenticated()" class="nav-item">
                                <a class="js-scroll-trigger dropdown-item" th:href="@{/logout}">Logout</a></li>
                        </ul>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

</div>
</body>
</html>